#!/usr/bin/env python3

# Create Set
s1 = set("linuxformatlinux")
print("s1:", s1)

# Create Set
s2 = set(["l","i","n","u","x","x"])
print("s2:", s2)

# Create Set
s3 = {"f","o","r","m","a","t","t"}
print("s3:", s3)

# Not all elements are of the same data type
s4 = set(["l","i","n","u","x","x", 3, "LXF"])
print("s4:", s4)

# Is "l" part of s3?
print("Is l part of s3?", "l" in s3)

# Union of s2 and s3
print("Union of s2 and s3:", s2 | s3)

# Does s1 contain the same elements as s2?
print("Is s1 equal to s2?", s1 == s2)

# Does s1 contain the same elements as s2 union s3?
print("Is s1 equal to union of s2 and s3?", s1 == s2|s3)

# Print the intersection of s1 and s2
print("Intersection s1 and s2:", s1 & s2)
